<template>
  <div
    v-if="topic"
    class="q-pa-lg"
  >
    <q-card
      class="super-rounded-borders bg-accent text-grey-4"
      bordered
      dark
      flat
    >
      <q-card-section class="text-center">
        <div
          class="text-subtitle2"
          v-text="topic.name"
        />
      </q-card-section>

      <q-img
        class="relative-position"
        :src="generateDownloadURL('topics', topic.image)"
        :ratio="16/9"
        basic
      />

      <q-card-section class="text-center">
        <q-btn
          class="q-mt-sm"
          :href="generateDownloadURL('topics', topic.material)"
          label="Material de apoio sobre o tema"
          text-color="accent"
          padding="3px 21px"
          target="_blank"
          color="grey-4"
          type="a"
          rounded
          no-caps
        />
      </q-card-section>

      <q-card-section class="text-center text-bold">
        Estatíscas sobre este tema
      </q-card-section>

      <q-card-section
        class="text-center"
        horizontal
      >
        <q-card-section>
          <q-item
            dense
            dark
          >
            <q-item-section>
              <q-item-label>
                <div
                  class="text-h4 text-bold"
                  v-text="topic.sents"
                />
              </q-item-label>

              <q-item-label overline>
                Redações
                <br>
                enviadas
              </q-item-label>
            </q-item-section>
          </q-item>
        </q-card-section>

        <q-separator
          vertical
          inset
          dark
        />

        <q-card-section>
          <q-item
            dense
            dark
          >
            <q-item-section>
              <q-item-label>
                <div
                  class="text-h4 text-bold"
                  v-text="topic.average"
                />
              </q-item-label>

              <q-item-label overline>
                Média geral
              </q-item-label>
            </q-item-section>
          </q-item>
        </q-card-section>
      </q-card-section>
    </q-card>
  </div>
</template>

<script>
import { GenerateDownloadURLMixin } from '../../mixin/generate-download-url'

export default {
  name: 'CardTopic',
  mixins: [GenerateDownloadURLMixin],
  props: {
    topic: {
      type: Object,
      default: () => ({})
    }
  }
}
</script>
